<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.4">
  <compound kind="file">
    <name>ksubscription.h</name>
    <path>tdepim/libtdepim/</path>
    <filename>ksubscription_8h.html</filename>
    <class kind="class">GroupItem</class>
    <class kind="class">KSubscription</class>
  </compound>
  <compound kind="class">
    <name>ActionBase</name>
    <filename>classActionBase.html</filename>
  </compound>
  <compound kind="class">
    <name>ActionEditWidget</name>
    <filename>classActionEditWidget.html</filename>
    <base>KWidgetLister</base>
    <member kind="function">
      <type>TQWidget *</type>
      <name>createWidget</name>
      <anchorfile>classActionEditWidget.html</anchorfile>
      <anchor>ab5bafb61f225835d5ccd1e1868a1505f</anchor>
      <arglist>(TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearWidget</name>
      <anchorfile>classActionEditWidget.html</anchorfile>
      <anchor>a2869d095de3d6741ee308fe6576baac2</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AlarmClient</name>
    <filename>classAlarmClient.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startDaemon</name>
      <anchorfile>classAlarmClient.html</anchorfile>
      <anchor>ae568a6aca2c53b0f5a860fbeb531c86d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stopDaemon</name>
      <anchorfile>classAlarmClient.html</anchorfile>
      <anchor>a69b42b57ce7500fd90ab354c75a5b719</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::BroadcastStatus</name>
    <filename>classKPIM_1_1BroadcastStatus.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setStatusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a68c3a9627bcb9c9f3d8304f1d3e3d2d0</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTransienStatusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a231b7e17e0946efe3f5b10d525367bd1</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a325f7cf2bc179fbde8e95ea99294d160</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a5e59da5af3d0cb697a08d45a99b805e9</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>statusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>ac1aa48b78d0ed1c9e376445ac0c73463</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsgWithTimestamp</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a19ec8fb99575184f0bb3fdd70dc14ae2</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsgTransmissionCompleted</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a797bb85f73136c852f374b0dd28ae9f5</anchor>
      <arglist>(int numMessages, int numBytes=-1, int numBytesRead=-1, int numBytesToRead=-1, bool mLeaveOnServer=false, KPIM::ProgressItem *progressItem=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BroadcastStatus *</type>
      <name>instance</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>ad0054e3faa23e3186d5e669cf00555a6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ClickLineEdit</name>
    <filename>classKPIM_1_1ClickLineEdit.html</filename>
  </compound>
  <compound kind="class">
    <name>KPIM::CollectingProcess</name>
    <filename>classKPIM_1_1CollectingProcess.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>start</name>
      <anchorfile>classKPIM_1_1CollectingProcess.html</anchorfile>
      <anchor>a0e58e56c32ba7e099db4857cfa6e0e5d</anchor>
      <arglist>(RunMode runmode, Communication comm)</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>collectedStdout</name>
      <anchorfile>classKPIM_1_1CollectingProcess.html</anchorfile>
      <anchor>a94aea61358812a80c63ed0fcc725e266</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>collectedStderr</name>
      <anchorfile>classKPIM_1_1CollectingProcess.html</anchorfile>
      <anchor>a01883acbe4df3f3e66615bff309cc7c1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConditionEditWidget</name>
    <filename>classConditionEditWidget.html</filename>
    <base>KWidgetLister</base>
    <member kind="function">
      <type>TQWidget *</type>
      <name>createWidget</name>
      <anchorfile>classConditionEditWidget.html</anchorfile>
      <anchor>a6c5c60584f899d4b38cfbdd5fe4b500e</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearWidget</name>
      <anchorfile>classConditionEditWidget.html</anchorfile>
      <anchor>aeccc5f2c9f2f070d53060b98ffde9919</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ConfigManager</name>
    <filename>classKPIM_1_1ConfigManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>a99e614decc8cba63bbcd6dc3a8b25286</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>commit</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>a4a087479abe236e019f2868d349fce03</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rollback</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>a43f92d22e0e396832865d8930bb36f07</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasPendingChanges</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>a66fa523aeff69a4b96cd9cb43e2d1df2</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Komposer::Core</name>
    <filename>classKomposer_1_1Core.html</filename>
    <base virtualness="virtual">Komposer::KomposerIface</base>
  </compound>
  <compound kind="class">
    <name>KPIM::DiffAlgoDisplay</name>
    <filename>classKPIM_1_1DiffAlgoDisplay.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>begin</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a38c453114148ead1f296b29a20b0a291</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>end</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a40f39e4e7ed57a55fc5daac38da3ad06</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setLeftSourceTitle</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a46172379d4e394ed00180271fa406d06</anchor>
      <arglist>(const TQString &amp;title)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setRightSourceTitle</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a918ff546b14fd63bbe431592709e4bf8</anchor>
      <arglist>(const TQString &amp;title)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>additionalLeftField</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a8ad435f5e905f8d8b6e42667454d745b</anchor>
      <arglist>(const TQString &amp;id, const TQString &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>additionalRightField</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a0f3ddf71f4eddc77683db70f9949c162</anchor>
      <arglist>(const TQString &amp;id, const TQString &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>conflictField</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a352276c086b5a59ba2cb701ded0d8b0b</anchor>
      <arglist>(const TQString &amp;id, const TQString &amp;leftValue, const TQString &amp;rightValue)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::DistributionList</name>
    <filename>classKPIM_1_1DistributionList.html</filename>
    <class kind="struct">KPIM::DistributionList::Entry</class>
    <member kind="function">
      <type></type>
      <name>DistributionList</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a4f9b123fc68657a55d46768283929ad6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DistributionList</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a56255646afcb0048f27d4eccaf0a79a9</anchor>
      <arglist>(const TDEABC::Addressee &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DistributionList</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>acc66cdedf42e974c5566fac613cdc0b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a484b7f78822a12dcd78702cbbf661292</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>aeef9241af0e5c24b9709de7b4e605511</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertEntry</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a3e4e15384b37d0f4827ab43dac15de4b</anchor>
      <arglist>(const Addressee &amp;, const TQString &amp;email=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a4e7635a79950c32e42e187cf8e26b2b4</anchor>
      <arglist>(const Addressee &amp;, const TQString &amp;email=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertEntry</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>abc58f59c1201a7392437d5681e26742a</anchor>
      <arglist>(const TQString &amp;uid, const TQString &amp;email=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a2d3533a1f851cc0324a71bf64847c8dd</anchor>
      <arglist>(const TQString &amp;uid, const TQString &amp;email=TQString())</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>emails</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>afce1d20df98a8420d31a9384f343a7b4</anchor>
      <arglist>(TDEABC::AddressBook *book) const</arglist>
    </member>
    <member kind="function">
      <type>Entry::List</type>
      <name>entries</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>aa68266c4fcbca1e8bcb851919975d92c</anchor>
      <arglist>(TDEABC::AddressBook *book) const</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KPIM::DistributionList::Entry</name>
    <filename>structKPIM_1_1DistributionList_1_1Entry.html</filename>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Event</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Event.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Action</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>aa9901c5a6c6973f42722a32b13a3c219</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Suspended</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>aa9901c5a6c6973f42722a32b13a3c219a4a835a687797486823c64e6cfaf4c2df</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ThreadStarted</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>aa9901c5a6c6973f42722a32b13a3c219a603bbc02d6a89a8e7e866ef540b0eeba</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>JobAPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>aa9901c5a6c6973f42722a32b13a3c219ae3af2049f9cdf149ebc5522b0b1c4a8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Suspended</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>aa9901c5a6c6973f42722a32b13a3c219a4a835a687797486823c64e6cfaf4c2df</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ThreadStarted</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>aa9901c5a6c6973f42722a32b13a3c219a603bbc02d6a89a8e7e866ef540b0eeba</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>JobAPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>aa9901c5a6c6973f42722a32b13a3c219ae3af2049f9cdf149ebc5522b0b1c4a8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>Thread *</type>
      <name>thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>a4004fc6d5ac59a6ac71982051c93a7b4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Job *</type>
      <name>job</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>acb87d193e918895ec2f7ac2858f31bd4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Action</type>
      <name>action</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>aa7d593e0178966d7af42abf145128c3b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>type</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>a4d2fecc43aab6e9b297515360b4d09ee</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GroupItem</name>
    <filename>classGroupItem.html</filename>
    <member kind="function">
      <type>KGroupInfo</type>
      <name>info</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a97effbef9b4af03abfd9d62fa45b10e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQListViewItem *</type>
      <name>originalParent</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a806cc36400cd6dae6b5582822cebcf83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lastOpenState</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>ad120ccbf81bfb6ef2ce43cb35f94d18f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDescription</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a2538e6fcf6856cdd30ed3ade15011ad2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCheckItem</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a2521089eeed6f4de5e83c28bf0819cc7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ignoreStateChange</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a50aa6ac82ab46693276625b07e4bd95a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOn</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a2fd1964913ce96f524f423c5b63fff3d</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stateChange</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a7d2a9843eb860769f9272cfa7cb025ab</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVisible</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>ab8b392fd9f102042b4278e25bc4480f8</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCell</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a97c4c9f1b32f6a5a8ac7380989dc58ed</anchor>
      <arglist>(TQPainter *p, const TQColorGroup &amp;cg, int column, int width, int align)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>paintFocus</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>adb7d71fd3aa0adc6f29e04db347abb14</anchor>
      <arglist>(TQPainter *, const TQColorGroup &amp;cg, const TQRect &amp;r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>width</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a96fb1105451fdf219cf6e922f7895817</anchor>
      <arglist>(const TQFontMetrics &amp;, const TQListView *, int column) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setup</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>ac3c9d24aff0287d57b8f4bad900cb783</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>acfd35411b5ca28371472b3b6ca369251</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::InfoExtension</name>
    <filename>classKParts_1_1InfoExtension.html</filename>
    <member kind="function">
      <type></type>
      <name>InfoExtension</name>
      <anchorfile>classKParts_1_1InfoExtension.html</anchorfile>
      <anchor>a8f75c525119d72e2d668b1db075bfe47</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Job</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Job.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>ab3563a8af66f6d50c3e7eef13c18b3b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>afa42f9bbb5669b5666c85070ba4d9426</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>SPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a563f82e8575865c11351c69e8a41196b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>APR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>aa3b49932b24d6dc6b6063388e90a3464</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Job</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a3d7e652f1d7965631fe40bcaec0d5b2e</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Job</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a1b80dd9f9f701faf7371b0f9454a6ff3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>execute</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a03cc7b24aafe5207d0a071698d4f64bd</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isFinished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a821e14628f6d0b16b2e60e9a410d644d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>wakeAPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>ae45201dff3b442dc7475bcec4339dad9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processEvent</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a9dd6234e536c271e233bb68fb6731449</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>lock</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a6c8282747346502f39392eeb8dc8fa21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unlock</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a38d69f1cdd1d6af2ce68d9c2fd48a802</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>run</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a924335cfaa9292b3800944014e723a5a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Thread *</type>
      <name>thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>afb3f8da44198996b698ca116fb1f77a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setFinished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>abfab027fbf4cab468c38df3ab4fcbc2e</anchor>
      <arglist>(bool status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>triggerSPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a027450461e5239c8db945d6f88685723</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>triggerAPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>aa598da4fedc4fe9b5bdf48e5684eb4b4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDateEdit</name>
    <filename>classKDateEdit.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a7784e88f0de2ec72913279f48a05fd16</anchor>
      <arglist>(const TQDate &amp;date)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dateEntered</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>af31e6b2e5d20ba555201b793ea8218e0</anchor>
      <arglist>(const TQDate &amp;date)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dateChanged</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>af4be5f1d5988d9c476d96ef3438f311f</anchor>
      <arglist>(const TQDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>TQDate</type>
      <name>date</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a7a3a932511e2814edf214fe516257038</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>ae20206f52beabb15b395eaddace74e73</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a14bd52a042c8154a01bbf0fd56b6f05c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>assignDate</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a37021dbdee99740a828609d61f4362eb</anchor>
      <arglist>(const TQDate &amp;date)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupKeywords</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a39c73e8d523f74b496f2c90da930d607</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDatePickerPopup</name>
    <filename>classKDatePickerPopup.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dateChanged</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a67b47b0b180da65d959459a5143b4316</anchor>
      <arglist>(TQDate)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDatePickerPopup</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a4b62201d8ab6db94f6349348de1cb89f</anchor>
      <arglist>(int items=DatePicker, const TQDate &amp;date=TQDate::currentDate(), TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KDatePicker *</type>
      <name>datePicker</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a90076d51ed987e86ea2572aa30bc0af5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>items</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>ac9d920c3e27313be7bc205aca6a253aa</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIncidenceChooser</name>
    <filename>classKIncidenceChooser.html</filename>
    <member kind="function">
      <type></type>
      <name>KIncidenceChooser</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>ae593ca96222f81ddbe894700d6d1c65b</anchor>
      <arglist>(TQWidget *parent=0, char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::KMailCompletion</name>
    <filename>classKPIM_1_1KMailCompletion.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKPIM_1_1KMailCompletion.html</anchorfile>
      <anchor>ab12056645bf2a05ed8f43e97b9aa2488</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>makeCompletion</name>
      <anchorfile>classKPIM_1_1KMailCompletion.html</anchorfile>
      <anchor>adc5ade5a3be49c022e36b80eecabc101</anchor>
      <arglist>(const TQString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addItemWithKeys</name>
      <anchorfile>classKPIM_1_1KMailCompletion.html</anchorfile>
      <anchor>a5188f154083ef71930c65f2b59b4abd8</anchor>
      <arglist>(const TQString &amp;email, int weight, const TQStringList *keyWords)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>postProcessMatches</name>
      <anchorfile>classKPIM_1_1KMailCompletion.html</anchorfile>
      <anchor>ad1650da29b7595de6faccbe7c07b6055</anchor>
      <arglist>(TQStringList *pMatches) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Komposer::KomposerIface</name>
    <filename>classKomposer_1_1KomposerIface.html</filename>
  </compound>
  <compound kind="struct">
    <name>KPaintInfo</name>
    <filename>structKPaintInfo.html</filename>
  </compound>
  <compound kind="class">
    <name>KPartsGenericPart</name>
    <filename>classKPartsGenericPart.html</filename>
  </compound>
  <compound kind="class">
    <name>KPartsWidgetPlugin</name>
    <filename>classKPartsWidgetPlugin.html</filename>
  </compound>
  <compound kind="class">
    <name>KPIM::KPixmapRegionSelectorDialog</name>
    <filename>classKPIM_1_1KPixmapRegionSelectorDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KPixmapRegionSelectorDialog</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorDialog.html</anchorfile>
      <anchor>ae89ec1199c14b3a794a672f54d58ae0e</anchor>
      <arglist>(TQWidget *parent=0L, const char *name=0L, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPixmapRegionSelectorDialog</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorDialog.html</anchorfile>
      <anchor>a6c32173b5d7a16a34fa0fc582f8d6803</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPIM::KPixmapRegionSelectorWidget *</type>
      <name>pixmapRegionSelectorWidget</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorDialog.html</anchorfile>
      <anchor>a2ed421a232b6c372fc299233a1572da8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQRect</type>
      <name>getSelectedRegion</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorDialog.html</anchorfile>
      <anchor>a768ffac1f31209d0ce7093b0a6f8d439</anchor>
      <arglist>(const TQPixmap &amp;pixmap, TQWidget *parent=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQRect</type>
      <name>getSelectedRegion</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorDialog.html</anchorfile>
      <anchor>a94264a134934716c2dcac33809a989fa</anchor>
      <arglist>(const TQPixmap &amp;pixmap, int aspectRatioWidth, int aspectRatioHeight, TQWidget *parent=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQImage</type>
      <name>getSelectedImage</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorDialog.html</anchorfile>
      <anchor>aaf772c54d591d8d6d34445c05733c3b9</anchor>
      <arglist>(const TQPixmap &amp;pixmap, TQWidget *parent=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQImage</type>
      <name>getSelectedImage</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorDialog.html</anchorfile>
      <anchor>a0a71349e721b1a9c3d09550f8b930e18</anchor>
      <arglist>(const TQPixmap &amp;pixmap, int aspectRatioWidth, int aspectRatioHeight, TQWidget *parent=0L)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::KPixmapRegionSelectorWidget</name>
    <filename>classKPIM_1_1KPixmapRegionSelectorWidget.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>rotateClockwise</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a36ae5437f5bc15fd2eedb9fb18847fa0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>rotateCounterclockwise</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>aaaf3e4b9255fa970a813241853509dfc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPixmapRegionSelectorWidget</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a4a8ea9b577f4054a67c40603ba011fd2</anchor>
      <arglist>(TQWidget *parent=0L, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPixmapRegionSelectorWidget</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>aaacfd0544addea6be03788f662bd5240</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPixmap</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a9876438ad36c4ebc02ea872fe9581dbc</anchor>
      <arglist>(const TQPixmap &amp;pixmap)</arglist>
    </member>
    <member kind="function">
      <type>TQPixmap</type>
      <name>pixmap</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a260e8c115b6728dd35bf11d509d174f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectedRegion</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a28c5915e0538aeff82837a1f1037a6c1</anchor>
      <arglist>(const TQRect &amp;rect)</arglist>
    </member>
    <member kind="function">
      <type>TQRect</type>
      <name>selectedRegion</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>ae8552cd74c6e6155d4341fbea2fb391c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQRect</type>
      <name>unzoomedSelectedRegion</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a58b988c58dd630a368da60f7b1b067ac</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetSelection</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a1af347bfd2bd1ced3c611d74de09e7ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQImage</type>
      <name>selectedImage</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a5610b332500e8651682a018a38c7cf88</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectionAspectRatio</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a7928265e2eb37bbaa51b72135315708f</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFreeSelectionAspectRatio</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a58ab0c35c150233bc00e9bcd66209cf2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaximumWidgetSize</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>ac17bb4eba4bcdda7cfaa487fbd3a7a26</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rotate</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a2e2e4fd4803c0dee5c89b6454ba6a840</anchor>
      <arglist>(KImageEffect::RotateDirection direction)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TDEPopupMenu *</type>
      <name>createPopupMenu</name>
      <anchorfile>classKPIM_1_1KPixmapRegionSelectorWidget.html</anchorfile>
      <anchor>a808d20703cba37ef0ce47da284fb0e93</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsDialog</name>
    <filename>classKPrefsDialog.html</filename>
    <base>KPrefsWidManager</base>
    <member kind="slot">
      <type>void</type>
      <name>setDefaults</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a531da61aec3fa9ebd3b8b816d0b0553b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a1d6bddce266b9031f2744c6efab4b7ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a2b096e1b22fcb112028a7387ad662f82</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configChanged</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>ab1c6d38c0cd32480d994c6174145c8c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPrefsDialog</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a3d8ca4d0d191e368691df6d689c445df</anchor>
      <arglist>(TDEConfigSkeleton *prefs, TQWidget *parent=0, char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsDialog</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>aaeebea1dcf32013d52c6850a3d5f5f97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a04cb1b26be7ed6c7ce27fe98c706aacd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a575d0112b982bce3dd98801aa7624e25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDefault</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>ab14a259f6a54bc52f41dc704879f34cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>usrReadConfig</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a3011321819385a402eb321581ef206b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>usrWriteConfig</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>ac411bcbb6396d90e9caf744e3eedb3ab</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWid</name>
    <filename>classKPrefsWid.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPrefsWid.html</anchorfile>
      <anchor>a8023004adeed059b703bcd622c2c6267</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWid.html</anchorfile>
      <anchor>ae638e2e69cd6c9e7067e99afe6beb7c1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWid.html</anchorfile>
      <anchor>ac165d3eb32b31ad0e5b06d1e733772d6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQValueList&lt; TQWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWid.html</anchorfile>
      <anchor>a1acfe2150466e5c6c1ebafb651023342</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidBool</name>
    <filename>classKPrefsWidBool.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidBool</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>a70f52661b5bfa6f8c79bc8f67efd1ae8</anchor>
      <arglist>(TDEConfigSkeleton::ItemBool *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>TQCheckBox *</type>
      <name>checkBox</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>ace5cce2466dd977113f610a4f6626a51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>a112b709f08fb5c2683f5c8032bd303c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>ad0ac946fcf7e14fe95f79c0398acc7ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; TQWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>a010de1460c77cfa43347ef2991df479d</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidColor</name>
    <filename>classKPrefsWidColor.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidColor</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a51c8fbd7ab62030538740ab0ff46b2a1</anchor>
      <arglist>(TDEConfigSkeleton::ItemColor *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPrefsWidColor</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a723b39d41616fbe9d012a27894bdfb83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a75fef1182311d916f9130c5d99db527a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KColorButton *</type>
      <name>button</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a44e77243d2edf233b6699a77d7d59830</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>af51a73c9c3adfdba3a718f277f120b99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a2962ff7cde0a4ff99a24e9d6b7286033</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidCombo</name>
    <filename>classKPrefsWidCombo.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidCombo</name>
      <anchorfile>classKPrefsWidCombo.html</anchorfile>
      <anchor>ad4ab2a66f261898d0119a0bf300a3d23</anchor>
      <arglist>(TDEConfigSkeleton::ItemEnum *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidCombo.html</anchorfile>
      <anchor>ac7e9063bd8801a41b87340dd4043ddaa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidCombo.html</anchorfile>
      <anchor>ab8315dbaeb2d673ccbc8acd52e802f7c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; TQWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidCombo.html</anchorfile>
      <anchor>acdeb3615c4f43de37e38e7f6e9ead1a1</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidDate</name>
    <filename>classKPrefsWidDate.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidDate</name>
      <anchorfile>classKPrefsWidDate.html</anchorfile>
      <anchor>a1f3450ca7278007a64711f0c57dbe0a1</anchor>
      <arglist>(TDEConfigSkeleton::ItemDateTime *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>TQLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidDate.html</anchorfile>
      <anchor>a3ee8591fc7b50f50bb77c527d3ee1bc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDateEdit *</type>
      <name>dateEdit</name>
      <anchorfile>classKPrefsWidDate.html</anchorfile>
      <anchor>ae95b3753783bf977e90ac8675f0166b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidDate.html</anchorfile>
      <anchor>a52b4ef61faf45e23d517e5b1c52e7828</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidDate.html</anchorfile>
      <anchor>ae83733d5bd19e5914292b8c6f2a839d9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidDuration</name>
    <filename>classKPrefsWidDuration.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidDuration</name>
      <anchorfile>classKPrefsWidDuration.html</anchorfile>
      <anchor>a98eff9a40c4e0e2d2986e69c254096a9</anchor>
      <arglist>(TDEConfigSkeleton::ItemDateTime *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>TQLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidDuration.html</anchorfile>
      <anchor>a40c7f4672c3dfcf8fe505fa1e2a512c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQTimeEdit *</type>
      <name>timeEdit</name>
      <anchorfile>classKPrefsWidDuration.html</anchorfile>
      <anchor>a990d2ceb7504ebc8460eb8789a08a1de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidDuration.html</anchorfile>
      <anchor>ab2d88b96e2f07497fdf991053dcf5b9a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidDuration.html</anchorfile>
      <anchor>a946f0eb6d3d8fb134de034341ea6400f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidFont</name>
    <filename>classKPrefsWidFont.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidFont</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>aea005753f50a1fb4329959a2433dc0cd</anchor>
      <arglist>(TDEConfigSkeleton::ItemFont *item, TQWidget *parent, const TQString &amp;sampleText)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPrefsWidFont</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a2a899fdaf067aece4070cb91eadce2ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>aba81844bab28bc287e1b87fc9f6bb638</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQFrame *</type>
      <name>preview</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a81d8e7526d529759f970c5f46358f5ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPushButton *</type>
      <name>button</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>ae3e3c1981ae53381c3d206107b7e382f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a2a725850c4261f8cdbdfa06e5bd9889d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a0144497121cd13e70dbeb0b8ea401abf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidInt</name>
    <filename>classKPrefsWidInt.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidInt</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>ae272436b4d2f5f2ec13ebbc1420ae957</anchor>
      <arglist>(TDEConfigSkeleton::ItemInt *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>TQLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a3e32d49c70bed25569d53a7dd9503d41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQSpinBox *</type>
      <name>spinBox</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a4616c6575ae5ae75da9e72e9f560b592</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>ad76ea437297861c651959d7e1a97b074</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a32f66c202be5d19c203e8c958688f9ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; TQWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a5ba798acc719b0675b98ac4dad68f319</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidManager</name>
    <filename>classKPrefsWidManager.html</filename>
    <member kind="function">
      <type></type>
      <name>KPrefsWidManager</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>ab2432994d65bf67a3a19af73bdcf67a8</anchor>
      <arglist>(TDEConfigSkeleton *prefs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsWidManager</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>aed0ae8666f10ce2c5714aa83bf3f3b91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addWid</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>abe294e0ac9b4fe5ca149e9303ef34f8c</anchor>
      <arglist>(KPrefsWid *)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidBool *</type>
      <name>addWidBool</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a53fb7ddab5a4b712f8137b76cc66a9d0</anchor>
      <arglist>(TDEConfigSkeleton::ItemBool *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidInt *</type>
      <name>addWidInt</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>adb388f4b3c7ac4a57af21a72c2029da2</anchor>
      <arglist>(TDEConfigSkeleton::ItemInt *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidDate *</type>
      <name>addWidDate</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>ace7a14a83af19b0af301fa6d0423abab</anchor>
      <arglist>(TDEConfigSkeleton::ItemDateTime *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidTime *</type>
      <name>addWidTime</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a3594d9cc218a73a6e83f04fda3d399ef</anchor>
      <arglist>(TDEConfigSkeleton::ItemDateTime *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidDuration *</type>
      <name>addWidDuration</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a1abf7735609843ee4c3bee996f23038b</anchor>
      <arglist>(TDEConfigSkeleton::ItemDateTime *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidColor *</type>
      <name>addWidColor</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a24162f739de1fb69bcd12a2aecb61703</anchor>
      <arglist>(TDEConfigSkeleton::ItemColor *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidRadios *</type>
      <name>addWidRadios</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a325c3b8c10aeaec5b866df6b4ea92d66</anchor>
      <arglist>(TDEConfigSkeleton::ItemEnum *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidCombo *</type>
      <name>addWidCombo</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a7e4fa573d12ded336b764a585301964f</anchor>
      <arglist>(TDEConfigSkeleton::ItemEnum *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidString *</type>
      <name>addWidString</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a27b9d95fee77536c24a6f5b35a693347</anchor>
      <arglist>(TDEConfigSkeleton::ItemString *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidPath *</type>
      <name>addWidPath</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a3ee7f4ec8195e86fef4ff106910d838b</anchor>
      <arglist>(TDEConfigSkeleton::ItemPath *item, TQWidget *parent, const TQString &amp;filter=TQString(), uint mode=KFile::File)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidString *</type>
      <name>addWidPassword</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>ad1db24af7e17b10afdd201b1a709a1bf</anchor>
      <arglist>(TDEConfigSkeleton::ItemString *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidFont *</type>
      <name>addWidFont</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a3aa6b41d399ee0028f7c8bf408f6af4e</anchor>
      <arglist>(TDEConfigSkeleton::ItemFont *item, TQWidget *parent, const TQString &amp;sampleText)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWidDefaults</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a58cbab42eb9a12932b02af048c0d388a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readWidConfig</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>ae746406bb3aa99bfed555444adaf1ab7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeWidConfig</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>acf1933a97ea80b1894d6f71fb48489a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidPath</name>
    <filename>classKPrefsWidPath.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidPath</name>
      <anchorfile>classKPrefsWidPath.html</anchorfile>
      <anchor>a88b0806b332326c9ee69fe55cd5c8abd</anchor>
      <arglist>(TDEConfigSkeleton::ItemPath *item, TQWidget *parent, const TQString &amp;filter=TQString(), uint mode=KFile::File)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsWidPath</name>
      <anchorfile>classKPrefsWidPath.html</anchorfile>
      <anchor>ac77fe45c3bddff122ffac229c06b84c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidPath.html</anchorfile>
      <anchor>add91e9a227679595f67b5e75fea18a86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KURLRequester *</type>
      <name>urlRequester</name>
      <anchorfile>classKPrefsWidPath.html</anchorfile>
      <anchor>a1bcef00423442eff6cd866568514c317</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidPath.html</anchorfile>
      <anchor>a307a61fa642b45d546f3f74112821ad1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidPath.html</anchorfile>
      <anchor>a4ef9991040f6a04cff273f2d202bedd4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; TQWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidPath.html</anchorfile>
      <anchor>ac6eeff841a29c8a4e5341444ebec60e8</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidRadios</name>
    <filename>classKPrefsWidRadios.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidRadios</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a94d54834ea7e48edc34f5c6f7a494829</anchor>
      <arglist>(TDEConfigSkeleton::ItemEnum *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRadio</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a24c0b4b390557c288163a987870c0f5a</anchor>
      <arglist>(const TQString &amp;text, const TQString &amp;whatsThis=TQString())</arglist>
    </member>
    <member kind="function">
      <type>TQButtonGroup *</type>
      <name>groupBox</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>ae8c253fb1f575e4f99921dcf713be7f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a49672adec2741efdb86652b366b9123a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>ae753ed72c33a96ca0b95ffdf9c2ea9de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; TQWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>aff7d3c7adff3bf26b63ae8b1c7d33586</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidString</name>
    <filename>classKPrefsWidString.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidString</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a8f16691de7cc53f8fe2214030eee89bd</anchor>
      <arglist>(TDEConfigSkeleton::ItemString *item, TQWidget *parent, TQLineEdit::EchoMode echomode=TQLineEdit::Normal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsWidString</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a08ae3ef67f0422a122326ff5bb040a91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a8f73b213f3f17bb57a992bd7f2cb52d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQLineEdit *</type>
      <name>lineEdit</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a5b3e83cd1ccf969ff72bf2da5721c789</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a567d807afcf580dfa82c69b87954dba8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a3b7fb77e46df0de91b4a796ce9e90739</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; TQWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a7e0231893b21dc66c69f8beba683de04</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidTime</name>
    <filename>classKPrefsWidTime.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidTime</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a2c4dd9e36866a19a206e5aa9a38d5a8a</anchor>
      <arglist>(TDEConfigSkeleton::ItemDateTime *item, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>TQLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a3d65c8c3584db9640b47bef3d26908ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KTimeEdit *</type>
      <name>timeEdit</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>abfae3cdbe50862f370c4a55e610df762</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a5827ee41852c0c78d76c671b3117b7f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a5b876106de422ca954c88a926a5d933e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRegExp3</name>
    <filename>classKRegExp3.html</filename>
    <member kind="function">
      <type>TQString</type>
      <name>replace</name>
      <anchorfile>classKRegExp3.html</anchorfile>
      <anchor>a5d6e834102c1c13eb018e3cf3587e722</anchor>
      <arglist>(const TQString &amp;str, const TQString &amp;replacementStr, int start=0, bool global=true)</arglist>
    </member>
    <docanchor file="classKRegExp3.html" title="syntax">Sed</docanchor>
    <docanchor file="classKRegExp3.html" title="syntax">Perl</docanchor>
  </compound>
  <compound kind="class">
    <name>KResourcePrefs</name>
    <filename>classKResourcePrefs.html</filename>
    <member kind="function">
      <type>void</type>
      <name>addGroupPrefix</name>
      <anchorfile>classKResourcePrefs.html</anchorfile>
      <anchor>a5dc3bca79b94e0df9daa91c1c9d87003</anchor>
      <arglist>(const TQString &amp;prefix)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRSqueezedTextLabel</name>
    <filename>classKRSqueezedTextLabel.html</filename>
    <member kind="function">
      <type></type>
      <name>KRSqueezedTextLabel</name>
      <anchorfile>classKRSqueezedTextLabel.html</anchorfile>
      <anchor>aad8dfcbb8a0c790ca16cb80f696e80ee</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setAlignment</name>
      <anchorfile>classKRSqueezedTextLabel.html</anchorfile>
      <anchor>aadac1f1f1cdecc1016f8bc7898197676</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKRSqueezedTextLabel.html</anchorfile>
      <anchor>ada02f162f62df7564fa02158f22c1641</anchor>
      <arglist>(TQResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>squeezeTextToLabel</name>
      <anchorfile>classKRSqueezedTextLabel.html</anchorfile>
      <anchor>aa7ee3da9dd8ef60e59adf365655c3da6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSubscription</name>
    <filename>classKSubscription.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Direction</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ab6d6bcfd7592990008aaa9c566f877f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotLoadingComplete</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a5f1cd6f173420b66b63ec7c73bbc6606</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotChangeButtonState</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a8464ebcc7cd34e07cffd1a93ac042108</anchor>
      <arglist>(TQListViewItem *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotButton1</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a9fb7bc402ca6244699aa3d52e5ecdbca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotUpdateStatusLabel</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a6086280fd5942e199e05cbfcf45158b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotLoadFolders</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a4e38d1d9044da26061137affcb15db62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>listChanged</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ac430c572ab7fdf5c993490546b7dd6b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KAccount *</type>
      <name>account</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ac95f7073ea50cd84dc25217aed4508dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQListView *</type>
      <name>folderTree</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a296737158382682b10e78dfea2503428</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KLineEdit *</type>
      <name>searchField</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a2c5ffb14c99ba775b5973ed4be920d64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStartItem</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ac2314857fc708865e4fe00cfd774b386</anchor>
      <arglist>(const KGroupInfo &amp;info)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeListItem</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>aa62759a978fbef3108c4292c9ec585a4</anchor>
      <arglist>(TQListView *view, const KGroupInfo &amp;gi)</arglist>
    </member>
    <member kind="function">
      <type>TQListViewItem *</type>
      <name>getListItem</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a2d425bbd1dbc88d71db81082e5437a6d</anchor>
      <arglist>(TQListView *view, const KGroupInfo &amp;gi)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>itemInListView</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ace862303ba3397868c8662717368a58a</anchor>
      <arglist>(TQListView *view, const KGroupInfo &amp;gi)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeItemState</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>aab48e6bf71dfdcd5c7a03c687fcb0590</anchor>
      <arglist>(GroupItem *item, bool on)</arglist>
    </member>
    <member kind="function">
      <type>Direction</type>
      <name>directionButton1</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>adb59d575e5437404c2faf20677d0f43f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Direction</type>
      <name>directionButton2</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>add09e9d69d4bbf307d3fe5c1d04f8258</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLoading</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a5e423d261bb7d90ab3af67b2a459d3b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hideTreeCheckbox</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a046788b8a88dbf261e3345505a2c64b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hideNewOnlyCheckbox</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ade0ed4acc5c3c9638f87428e6cb1c991</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>filterChanged</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ab1a86ce62b2787cc5f5ce62d38866906</anchor>
      <arglist>(TQListViewItem *item=0, const TQString &amp;text=TQString())</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>activeItemCount</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>adb2202b1b8cf685e0881b2bde325251d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreOriginalParent</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a4aa9db49cfab7b9c056ad68e89fbbfdd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveOpenStates</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ab8b3b2313c053c6ad4cfb03471e17138</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreOpenStates</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>aed60087eafd80ba3ec7e72dde59a19fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCBToggled</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>a829b8f3a3b062037fa6af3774e46d859</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFilterTextChanged</name>
      <anchorfile>classKSubscription.html</anchorfile>
      <anchor>ac8afc50d632661b9773d07d0e3e5bbf6</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTimeEdit</name>
    <filename>classKTimeEdit.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>abe7f3bf2481cb0c9ab17f2e1cbfb8c75</anchor>
      <arglist>(TQTime qt)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timeChanged</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a1991c1b07ed8aca129fda194371189bc</anchor>
      <arglist>(TQTime newt)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTimeEdit</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a39bfeeaa6d2997012192cf99abfef612</anchor>
      <arglist>(TQWidget *parent=0, TQTime qt=TQTime(12, 0), const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTime</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a4cdc4408f624ca721adbd8766bdf8371</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQTime</type>
      <name>getTime</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a290cf98585179c0bb0c297705446e12c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQSizePolicy</type>
      <name>sizePolicy</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a153da889d13e44587cc6786e2c982b31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inputIsValid</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a79aaa4769c4fb938e18b2ca1829461b2</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KVCardDrag</name>
    <filename>classKVCardDrag.html</filename>
    <member kind="function">
      <type></type>
      <name>KVCardDrag</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>a23ba727d4ec27215da80254fc80dd6d5</anchor>
      <arglist>(TQWidget *dragsource=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVCardDrag</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>add2d1d2c16e92433684de7fc3db6717c</anchor>
      <arglist>(const TQString &amp;content, TQWidget *dragsource=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVCard</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>a432f636fe59417c7b14c2cf951355cd1</anchor>
      <arglist>(const TQString &amp;content)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>canDecode</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>ac40ab3aecdbd28a02bec9a4f56727096</anchor>
      <arglist>(TQMimeSource *e)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>decode</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>adcf6d93ffc3c34b27e7c70fdf1a8d8a8</anchor>
      <arglist>(TQMimeSource *e, TQString &amp;content)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>decode</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>af6ea129650757e96351526fc40a56969</anchor>
      <arglist>(TQMimeSource *e, TDEABC::Addressee::List &amp;addressees)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWidgetLister</name>
    <filename>classKWidgetLister.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>widgetAdded</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a55cba43d0327f338a5d23633f3e7d5d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>widgetAdded</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a62b1b866b489b6850dc1bb7f2028b3ea</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>widgetRemoved</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a80bd24121fab5c21304cdd9c0f22b996</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clearWidgets</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a50e196a528cb616f370af76fc9fd0a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotMore</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a12a16f6df4a7056f61eef38856299f9f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotFewer</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>aed35dc8b85b067052dbc5d6808dbe351</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClear</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a7abb1eebcdf5fe77bfc0f193e130c096</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>addWidgetAtEnd</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>ac45bd94d185c75bc0aafd7d0dc0e9e01</anchor>
      <arglist>(TQWidget *w=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>removeLastWidget</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a492eb531e6d4629372375012dc33792c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>clearWidget</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a94f251b30897c05ba5250fa1e0b16198</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQWidget *</type>
      <name>createWidget</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a7d44b4a7f8cf9570f08184b76d435eb1</anchor>
      <arglist>(TQWidget *parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setNumberOfShownWidgetsTo</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a6cb1ee87252c24e2831b4095164d9b4c</anchor>
      <arglist>(int aNum)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; TQWidget &gt;</type>
      <name>mWidgetList</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a881ae7251c39ad3328fb5b2b7a274ff5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mMinWidgets</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>aa5b3e0dcfe5f6c4e2f27811e6060a42e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mMaxWidgets</name>
      <anchorfile>classKWidgetLister.html</anchorfile>
      <anchor>a2c9d7b59c8532e4001152e1595c1cbae</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::LdapClient</name>
    <filename>classKPIM_1_1LdapClient.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setAttrs</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a97bf11d42cf50af1e26c5a6279ddcf65</anchor>
      <arglist>(const TQStringList &amp;attrs)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startQuery</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>afed085996dcf72635dcac192b95777ba</anchor>
      <arglist>(const TQString &amp;filter)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>cancelQuery</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>adb604e219037ebe407666078a2e4ea01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a343496ce14453c5cdb0387fee3ad2d9d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>ae05dbaf9e48dc9371192d23218e2ba4e</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a7bee9eb09d3dc14f7c2421c3718e81b9</anchor>
      <arglist>(const KPIM::LdapObject &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>aa8abcaf647cbf3d7b151c192114e4dbd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>attrs</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>aa7d93856f16f4016446050122d3e294d</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::LdapObject</name>
    <filename>classKPIM_1_1LdapObject.html</filename>
  </compound>
  <compound kind="struct">
    <name>KPIM::LdapResult</name>
    <filename>structKPIM_1_1LdapResult.html</filename>
    <member kind="variable">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>structKPIM_1_1LdapResult.html</anchorfile>
      <anchor>a10836e8c314722baf1184ebf46b1fcb6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQStringList</type>
      <name>email</name>
      <anchorfile>structKPIM_1_1LdapResult.html</anchorfile>
      <anchor>a403384b60cabb7b7f1836ce5a4940b72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>clientNumber</name>
      <anchorfile>structKPIM_1_1LdapResult.html</anchorfile>
      <anchor>a8dfa5bf95e073649cedd316fedc46990</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>completionWeight</name>
      <anchorfile>structKPIM_1_1LdapResult.html</anchorfile>
      <anchor>a59948fee2ca668212ceb4c6f62f5368e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::LdapSearch</name>
    <filename>classKPIM_1_1LdapSearch.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>searchData</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>a1a920f094a6b773ecd8d75ded0f14f14</anchor>
      <arglist>(const TQStringList &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>searchData</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>a368ef66c489c29f19db8e6e9164fe78e</anchor>
      <arglist>(const KPIM::LdapResultList &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LinkLocator</name>
    <filename>classLinkLocator.html</filename>
    <member kind="function">
      <type></type>
      <name>LinkLocator</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>ac964f9923d92f694f4edeb59dd7066f8</anchor>
      <arglist>(const TQString &amp;text, int pos=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxUrlLen</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>a1efd7d53ab0cb34c31c1347e445e762a</anchor>
      <arglist>(int length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxUrlLen</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>aa0e9d2354055f4a59f737066bfc67b7a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxAddressLen</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>a522c3fa92b6f4c349074884ad7ac0f85</anchor>
      <arglist>(int length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxAddressLen</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>a10d092cd71a8b6949c1ee91be171e710</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getUrl</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>af08cccad71ed8b2f34e8ea422610f3f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getEmailAddress</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>a1aa0d5665f7da1df4c27557592744ab4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>convertToHtml</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>a61da21d47f5636c6e17f5cd943842574</anchor>
      <arglist>(const TQString &amp;plainText, int flags=0, int maxUrlLen=4096, int maxAddressLen=255)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>pngToDataUrl</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>a508da0d754e4f15ee1a2e4063e0e94db</anchor>
      <arglist>(const TQString &amp;iconPath)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>mText</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>af031fed7d719b9093fdb69387178b6cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mPos</name>
      <anchorfile>classLinkLocator.html</anchorfile>
      <anchor>a80641cfa3d8443ac9c8279a9511f0c36</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::OverlayWidget</name>
    <filename>classKPIM_1_1OverlayWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>KPIM::PluginLoader</name>
    <filename>classKPIM_1_1PluginLoader.html</filename>
    <templarg>typename T</templarg>
    <templarg>typename T_config</templarg>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>scan</name>
      <anchorfile>classKPIM_1_1PluginLoader.html</anchorfile>
      <anchor>ac50d58af44ebb88b9897ddb310e53f49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual T *</type>
      <name>createForName</name>
      <anchorfile>classKPIM_1_1PluginLoader.html</anchorfile>
      <anchor>a73506a237fa238fccba5e462f5919ff6</anchor>
      <arglist>(const TQString &amp;type) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static PluginLoader&lt; T, T_config &gt; *</type>
      <name>instance</name>
      <anchorfile>classKPIM_1_1PluginLoader.html</anchorfile>
      <anchor>a1cc07b472faa26e5b9a5683851094ac7</anchor>
      <arglist>()</arglist>
    </member>
    <docanchor file="classKPIM_1_1PluginLoader.html">Usage</docanchor>
  </compound>
  <compound kind="class">
    <name>KPIM::ProgressManager</name>
    <filename>classKPIM_1_1ProgressManager.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotStandardCancelHandler</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a7fa9eb3ecf8b653ab06a07b029a4d9eb</anchor>
      <arglist>(KPIM::ProgressItem *item)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotAbortAll</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a69d92194f4ffcbcecba2a1e36cb547f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemAdded</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a0cd0f7ff2de4ef4153a00e96cec9f0f1</anchor>
      <arglist>(KPIM::ProgressItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemProgress</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>ac569977fcff7c46d8795b920995fe39e</anchor>
      <arglist>(KPIM::ProgressItem *, unsigned int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemCompleted</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>accc6deda7305e9c3f447936c8b50a661</anchor>
      <arglist>(KPIM::ProgressItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemCanceled</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a402059dcac18f09541475435e22eff89</anchor>
      <arglist>(KPIM::ProgressItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemStatus</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>abab4d40d53444abeab599ebe458e07e9</anchor>
      <arglist>(KPIM::ProgressItem *, const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemLabel</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a57db02d57dfbb4c16309436bd180f6dc</anchor>
      <arglist>(KPIM::ProgressItem *, const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemUsesCrypto</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>af143002b305842c170f719c089d7002e</anchor>
      <arglist>(KPIM::ProgressItem *, bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemUsesBusyIndicator</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>aa75e2cfd8780d2291e8afc713970a3b1</anchor>
      <arglist>(KPIM::ProgressItem *, bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showProgressDialog</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>ace0446470f2af127aba1cae61583d58a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a7354ead31d9b411bf38e3205447db285</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ProgressItem *</type>
      <name>singleItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>ade11e096098ea2b5e1fa669d42fcb37d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressManager *</type>
      <name>instance</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a5db2b8e0007b802e2727a6894b56a145</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>getUniqueID</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a36e39019f5e9e0f688daad566b71bea0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressItem *</type>
      <name>createProgressItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a8380262fcc498a743c74c56342495d2f</anchor>
      <arglist>(const TQString &amp;label)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressItem *</type>
      <name>createProgressItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>af7a7b4f635e946bc62dd084a31ceea7b</anchor>
      <arglist>(ProgressItem *parent, const TQString &amp;id, const TQString &amp;label, const TQString &amp;status=TQString(), bool canBeCanceled=true, bool usesCrypto=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressItem *</type>
      <name>createProgressItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a703ce281f7757b57c8b6ef9eb154dac5</anchor>
      <arglist>(const TQString &amp;parent, const TQString &amp;id, const TQString &amp;label, const TQString &amp;status=TQString(), bool canBeCanceled=true, bool usesCrypto=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressItem *</type>
      <name>createProgressItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a4e8cdc6b49aafb1acf8e3ccd0d579352</anchor>
      <arglist>(const TQString &amp;id, const TQString &amp;label, const TQString &amp;status=TQString(), bool canBeCanceled=true, bool usesCrypto=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>emitShowProgressDialog</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a034e6c1c92e408c045a44a6dddc74a6c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDERecentAddress::RecentAddresses</name>
    <filename>classTDERecentAddress_1_1RecentAddresses.html</filename>
    <member kind="function">
      <type>TQStringList</type>
      <name>addresses</name>
      <anchorfile>classTDERecentAddress_1_1RecentAddresses.html</anchorfile>
      <anchor>a385b26a18e850cc766dbe1d80fbbdfc9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classTDERecentAddress_1_1RecentAddresses.html</anchorfile>
      <anchor>aa8386195c4636d11b28fd52cc28e461b</anchor>
      <arglist>(const TQString &amp;entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxCount</name>
      <anchorfile>classTDERecentAddress_1_1RecentAddresses.html</anchorfile>
      <anchor>ad725dcad3a03b221ab257a4be6280e6d</anchor>
      <arglist>(int count)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>maxCount</name>
      <anchorfile>classTDERecentAddress_1_1RecentAddresses.html</anchorfile>
      <anchor>ae69e334abb968e69a9639797d2b9f175</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classTDERecentAddress_1_1RecentAddresses.html</anchorfile>
      <anchor>ae553f90f3cf1c267a1747e0fec4ae785</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classTDERecentAddress_1_1RecentAddresses.html</anchorfile>
      <anchor>a5293f5a7661204950708925c42bf8b86</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classTDERecentAddress_1_1RecentAddresses.html</anchorfile>
      <anchor>af403ba99aba10ddf2b61db07c26b6b46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static RecentAddresses *</type>
      <name>self</name>
      <anchorfile>classTDERecentAddress_1_1RecentAddresses.html</anchorfile>
      <anchor>acf871a9bc588df425656121e09803097</anchor>
      <arglist>(TDEConfig *config=0L)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ResourceABC</name>
    <filename>classKPIM_1_1ResourceABC.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setSubresourceActive</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a3e62b3cafef8f078f10a93a95a5d1d75</anchor>
      <arglist>(const TQString &amp;, bool active)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setSubresourceCompletionWeight</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a57c647070f666007318589b65035d98c</anchor>
      <arglist>(const TQString &amp;, int weight)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSubresourceAdded</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a76ca3eb04e34cc1c449b798dff9fc29f</anchor>
      <arglist>(KPIM::ResourceABC *, const TQString &amp;type, const TQString &amp;subResource)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSubresourceRemoved</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a849cf0c5dd933a9603623f1f7eaf8bc1</anchor>
      <arglist>(KPIM::ResourceABC *, const TQString &amp;type, const TQString &amp;subResource)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQMap&lt; TQString, TQString &gt;</type>
      <name>uidToResourceMap</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a0d03b9d6562fbd0db94a7b4d564e3d58</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>subresources</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a64bb354d3f8051c05490a45703fcc627</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>subresourceActive</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a9dee1807d1dc47a7d355b452d07f9226</anchor>
      <arglist>(const TQString &amp;) const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>subresourceWritable</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>af6d89958dcfcfaf4e6a6ca21adc4d0df</anchor>
      <arglist>(const TQString &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>subresourceCompletionWeight</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a86e21aca275a302867d4c5ef3dc1b706</anchor>
      <arglist>(const TQString &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>subresourceLabel</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a7930567bd8656732e8fc2afaeea02103</anchor>
      <arglist>(const TQString &amp;) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDEABC::ResourceNull</name>
    <filename>classTDEABC_1_1ResourceNull.html</filename>
  </compound>
  <compound kind="class">
    <name>RuleEditWidget</name>
    <filename>classRuleEditWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>RuleListWidget</name>
    <filename>classRuleListWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>RuleStack</name>
    <filename>classRuleStack.html</filename>
    <member kind="function">
      <type>void</type>
      <name>push</name>
      <anchorfile>classRuleStack.html</anchorfile>
      <anchor>a36e491691e705efd9f5d70229ed5a9c2</anchor>
      <arglist>(TQPtrList&lt; KScoringRule &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop</name>
      <anchorfile>classRuleStack.html</anchorfile>
      <anchor>a191b79391468c257b05b7f23c57a5622</anchor>
      <arglist>(TQPtrList&lt; KScoringRule &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>top</name>
      <anchorfile>classRuleStack.html</anchorfile>
      <anchor>aa264bab688606a9384f6836a050855d2</anchor>
      <arglist>(TQPtrList&lt; KScoringRule &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drop</name>
      <anchorfile>classRuleStack.html</anchorfile>
      <anchor>a068a8d46d8e14b835d7cc36306a2bc2b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ScorableGroup</name>
    <filename>classScorableGroup.html</filename>
  </compound>
  <compound kind="class">
    <name>KPIM::SelectionItem</name>
    <filename>classKPIM_1_1SelectionItem.html</filename>
  </compound>
  <compound kind="class">
    <name>KParts::SideBarExtension</name>
    <filename>classKParts_1_1SideBarExtension.html</filename>
    <member kind="function">
      <type></type>
      <name>SideBarExtension</name>
      <anchorfile>classKParts_1_1SideBarExtension.html</anchorfile>
      <anchor>a74e6eca6dbc106e9ab815da64b027804</anchor>
      <arglist>(TQWidget *exported, KParts::ReadOnlyPart *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1SideBarExtension.html</anchorfile>
      <anchor>ace5ea32d6c50dd2b9b58517c86e6236c</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SingleActionWidget</name>
    <filename>classSingleActionWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>SingleConditionWidget</name>
    <filename>classSingleConditionWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>TDEConfigWizard</name>
    <filename>classTDEConfigWizard.html</filename>
    <member kind="function">
      <type></type>
      <name>TDEConfigWizard</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>a1e113a8ad5e61ca5cc931e7c9057ad30</anchor>
      <arglist>(TQWidget *parent=0, char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDEConfigWizard</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>aaadfcb90ac339a9ab95febe0d2cf6551</anchor>
      <arglist>(TDEConfigPropagator *propagator, TQWidget *parent=0, char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TDEConfigWizard</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>a0a40f87cc2f37c28cf8c31238e02e89b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPropagator</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>a3532b75cd0ea25d407586b42008d696b</anchor>
      <arglist>(TDEConfigPropagator *)</arglist>
    </member>
    <member kind="function">
      <type>TDEConfigPropagator *</type>
      <name>propagator</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>aaac5728d130af0eb59a074677bbb0524</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQFrame *</type>
      <name>createWizardPage</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>aeeefebebc25457c7d618f9a434463b6c</anchor>
      <arglist>(const TQString &amp;title)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>usrReadConfig</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>a1e1abd062d328df55be3874fb2caec07</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>usrWriteConfig</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>a8499206b86a60cc9659dbcfe27937aad</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>validate</name>
      <anchorfile>classTDEConfigWizard.html</anchorfile>
      <anchor>a05c72a45b816f10106e1a4fbcd3816dd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Thread</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Thread.html</filename>
    <member kind="function">
      <type></type>
      <name>Thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a31e631ae6d49af500c73f5de317e0830</anchor>
      <arglist>(Weaver *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>ac0c94012e2d8b176d92bc14588b91469</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a8d7972953a2f94e81127cb7cbb4f659e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>id</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a3de0ce0b1540db8a1ffe2a539ad18572</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>post</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>aa4970687383e115237fb02de469034f6</anchor>
      <arglist>(Event::Action, Job *=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TQStrictUtf7Codec</name>
    <filename>classTQStrictUtf7Codec.html</filename>
    <base>TQUtf7Codec</base>
  </compound>
  <compound kind="class">
    <name>TQUtf7Codec</name>
    <filename>classTQUtf7Codec.html</filename>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Weaver</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Weaver.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ac83a86a17666f3021e4ba41204d9bd45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>suspended</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>affb8077099de149aa1ae9f71b62a10b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>jobDone</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a18a7c06744c800f26afc6ff59747d7fb</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>enqueue</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a2a4be318b5d3f5bc44d11c90c716e828</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enqueue</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a32befdbc8fc683d0cb581b2a0a75c3c2</anchor>
      <arglist>(TQPtrList&lt; Job &gt; jobs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>dequeue</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a0c79957799c62bc99ec80116fd35de0e</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dequeue</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a2651bba7b113bfd33b89340243669fac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>finish</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a2b4aac62a05f989002548068107f313a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a55452448656b939d765b282a8f2f2f7c</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>abb670776227c1183d33addeedb47048a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdle</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ac2ba39fd188b58cf1a73a4cbcb832eb4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>queueLength</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>acd31f105a0dedf2375cc999a006303b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a716fe21beb0c65750f5c0fa990178d25</anchor>
      <arglist>(Thread *thread, Job *previous)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lock</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a58a96b8f350ae6c54f6197eed0d2851b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unlock</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ac0ac0d7e21d3b78f79bc2e82aff4c29d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>post</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a5bba55fc51ac1036522befc9c469b4e4</anchor>
      <arglist>(Event::Action, Thread *=0, Job *=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>threads</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a501beb3bae059f2421fce416c60dc015</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>assignJobs</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a1a5453dded29ad5166ec1a3fc227ae80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>event</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>aa5fcdc68e80cb6c63963bd8d631bcd5b</anchor>
      <arglist>(TQEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; Thread &gt;</type>
      <name>m_inventory</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ad9207ff715832c23dc3f68f31a461309</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; Job &gt;</type>
      <name>m_assignments</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ac7ff14f8ad98dd8192d02965d73f09ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_active</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ab52ea52d66a2edd8afcb6d385741c2bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_inventoryMin</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a77a597d8b923e8c77e1f5935e49ebfcc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_inventoryMax</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a61ea4e6b0a4454b1cc9d2847fb8964d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQWaitCondition</type>
      <name>m_jobAvailable</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a56f22a13c19c608d4640ef5628c1c870</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQWaitCondition</type>
      <name>m_jobFinished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>abe9e7973ae295ede1d211ecac306dc9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_shuttingDown</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ac4e7a4f5f63c6308157f696c369750b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_running</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a46885facf2d244b1b4fa94e7ccf54174</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_suspend</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a45db086873432be4797d22cd339a15b1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::WeaverExtension</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</filename>
    <member kind="function">
      <type>void</type>
      <name>attach</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</anchorfile>
      <anchor>aff460bbc99edc3d05facaad4a6eabcff</anchor>
      <arglist>(Weaver *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::WeaverThreadLogger</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1WeaverThreadLogger.html</filename>
    <base>KPIM::ThreadWeaver::WeaverExtension</base>
  </compound>
  <compound kind="namespace">
    <name>Komposer</name>
    <filename>namespaceKomposer.html</filename>
    <class kind="class">Komposer::Core</class>
    <class kind="class">Komposer::KomposerIface</class>
  </compound>
  <compound kind="namespace">
    <name>KParts</name>
    <filename>namespaceKParts.html</filename>
    <class kind="class">KParts::InfoExtension</class>
    <class kind="class">KParts::SideBarExtension</class>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::BroadcastStatus</class>
    <class kind="class">KPIM::ClickLineEdit</class>
    <class kind="class">KPIM::CollectingProcess</class>
    <class kind="class">KPIM::ConfigManager</class>
    <class kind="class">KPIM::DiffAlgoDisplay</class>
    <class kind="class">KPIM::DistributionList</class>
    <class kind="class">KPIM::KMailCompletion</class>
    <class kind="class">KPIM::KPixmapRegionSelectorDialog</class>
    <class kind="class">KPIM::KPixmapRegionSelectorWidget</class>
    <class kind="class">KPIM::LdapClient</class>
    <class kind="class">KPIM::LdapObject</class>
    <class kind="struct">KPIM::LdapResult</class>
    <class kind="class">KPIM::LdapSearch</class>
    <class kind="class">KPIM::OverlayWidget</class>
    <class kind="class">KPIM::PluginLoader</class>
    <class kind="class">KPIM::ProgressManager</class>
    <class kind="class">KPIM::ResourceABC</class>
    <class kind="class">KPIM::SelectionItem</class>
    <member kind="function">
      <type>TDE_EXPORT TQCString</type>
      <name>kFileToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a4b54a9e45bd96bc41f13a21afe7bbc68</anchor>
      <arglist>(const TQString &amp;fileName, bool ensureNewline=true, bool withDialogs=true) TDE_EXPORT</arglist>
    </member>
    <member kind="function">
      <type>TDE_EXPORT bool</type>
      <name>kBytesToFile</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a42c5eb56fec3ee5917296ddb636394e7</anchor>
      <arglist>(const char *aBuffer, int len, const TQString &amp;aFileName, bool aAskIfExists, bool aBackup, bool aVerbose) TDE_EXPORT</arglist>
    </member>
    <member kind="function">
      <type>TDE_EXPORT bool</type>
      <name>kByteArrayToFile</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a4e82afa60dfe4e9e4eff284a040847ba</anchor>
      <arglist>(const TQByteArray &amp;buffer, const TQString &amp;fileName, bool askIfExists=false, bool createBackup=true, bool withDialogs=true) TDE_EXPORT</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>checkAndCorrectPermissionsIfPossible</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>aff0150cb2cf47e22fcf21f17565a68fa</anchor>
      <arglist>(const TQString &amp;toCheck, const bool recursive, const bool wantItReadable, const bool wantItWritable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkAndCorrectPermissionsIfPossibleWithErrorHandling</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ab026ae915ebe71235fb1e00864702096</anchor>
      <arglist>(TQWidget *parent, const TQString &amp;toCheck, const bool recursive, const bool wantItReadable, const bool wantItWritable)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSettings</name>
    <filename>namespaceKSettings.html</filename>
  </compound>
</tagfile>
