<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.4">
  <compound kind="class">
    <name>IMAP4Protocol</name>
    <filename>classIMAP4Protocol.html</filename>
    <base>mimeIO</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a9fd710c6483a804b65c57ecfac0eeeab</anchor>
      <arglist>(const KURL &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a7c7fec114f2ecb4d898aad79c29833c5</anchor>
      <arglist>(const KURL &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a0cd9c8e8bdc5b4d20fc1780703fa9647</anchor>
      <arglist>(const KURL &amp;_url, bool isFile)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>special</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a1ad0df1be242636114dc7efa0aca9d2b</anchor>
      <arglist>(const TQByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a21b5f6b9b4103f232ee925a481813903</anchor>
      <arglist>(const KURL &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a3b99ecb7c62fe970136c9712d458f5a2</anchor>
      <arglist>(const KURL &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseRelay</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a1092788ecb41f3d2badf9e89b6269ab2</anchor>
      <arglist>(const TQByteArray &amp;buffer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseRelay</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>adf8b0019e72de277ad1f3250dcca2f3d</anchor>
      <arglist>(ulong)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parseRead</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>afca4986360a5db2319a8b68560524420</anchor>
      <arglist>(TQByteArray &amp;buffer, ulong len, ulong relay=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parseReadLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a89ce35c42560c9b76551f69b46c8b2fe</anchor>
      <arglist>(TQByteArray &amp;buffer, ulong relay=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseWriteLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a8d7906b94a91e535299af42057b2cad1</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>outputLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aa11c3124f5b3075fb482134aeba271f8</anchor>
      <arglist>(const TQCString &amp;_str, int len=-1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>flushOutput</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aecf12d779aa6be7c4841b327e4fbb3ef</anchor>
      <arglist>(TQString contentEncoding=TQString())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>enum IMAP_TYPE</type>
      <name>parseURL</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>ace6803681a5e74a22305cf61eedcf4ed</anchor>
      <arglist>(const KURL &amp;_url, TQString &amp;_box, TQString &amp;_section, TQString &amp;_type, TQString &amp;_uid, TQString &amp;_validity, TQString &amp;_hierarchyDelimiter, TQString &amp;_info, bool cache=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doListEntry</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a600ea90581f41360046170dcc626c4d9</anchor>
      <arglist>(const KURL &amp;url, const TQString &amp;myBox, const imapList &amp;item, bool appendPath=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialACLCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aa190f50ce4e294da257e4313ea301eed</anchor>
      <arglist>(int command, TQDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialAnnotateMoreCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a528e14b9742a701e6e10c121680eeb62</anchor>
      <arglist>(int command, TQDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialSearchCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a24097b0a63ec439a46dea0c7854a2616</anchor>
      <arglist>(TQDataStream &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialCustomCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a274250ab6fa478927b22aaa513f76f90</anchor>
      <arglist>(TQDataStream &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>imapCommand</name>
    <filename>classimapCommand.html</filename>
    <member kind="function">
      <type></type>
      <name>imapCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aea22ea31bc67aebf4662ad61a355f51e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>imapCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a49b53edf25a79c3d516e6e2001d959a4</anchor>
      <arglist>(const TQString &amp;command, const TQString &amp;parameter)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isComplete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a723c3d549eac72ce5f1957ce5b5b6c23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>result</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ad98b9ff54049400ede5d43a12b7d2a45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>resultInfo</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab2620843984dead17184917937308963</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>parameter</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4f5d7afe8e384df9f82fc2f756d5c51a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>command</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7836d73051b1687be6531eb23848f425</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>id</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a0871c0a3aaf6fbd3d6b7ead2a501c569</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a965af4c426f408cac2ad03da0ea32c46</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setComplete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4ec1a18fe96a9a9bb90c1d3efff376e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResult</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ac09af0a50440bcc8d6fbb4a6e75fa44d</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResultInfo</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aa556ff83cbe4db103881cdb1276f8269</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a5250a061be97ef9d35853a4b86a6315b</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setParameter</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a05468085bbd363b380439dafe08c274e</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>const TQString</type>
      <name>getStr</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a382099b24ab56282d4ee272ffb7bcd93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientNoop</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a18eac0a9fe90bd530e4360003063e00d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7a2e65b1af0a498334672c0a8800aa3f</anchor>
      <arglist>(ulong uid, const TQString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a9eea49ba98a3b53b8483552861f3e251</anchor>
      <arglist>(ulong fromUid, ulong toUid, const TQString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7c8ae565706e47f188ab1dda91cd4978</anchor>
      <arglist>(const TQString &amp;sequence, const TQString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientList</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a3bbb5f4a4808cde74c079df88fabe9b0</anchor>
      <arglist>(const TQString &amp;reference, const TQString &amp;path, bool lsub=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSelect</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ad8217a0e4a88d97c46712839b0c0bbd1</anchor>
      <arglist>(const TQString &amp;path, bool examine=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientClose</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab8ebfebf14090f6e27dbb2a304b20d67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clienStatus</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a025f72934a81338d240630432d1b3040</anchor>
      <arglist>(const TQString &amp;path, const TQString &amp;parameters)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientCopy</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>accf3d2c5bba50df0c8a7432605ef2fd6</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;sequence, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientAppend</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>af8009770b49cff2a76a6a9e42e262eea</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;flags, ulong size)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientCreate</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a0ded1121a5ba448e61e62ce0f2fba6cf</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientDelete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a6bf93874a0b0e4fa332ecd8c45541cf7</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSubscribe</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a01a304dd2f97300a649cbaa50baa25a6</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientUnsubscribe</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7d644cb23d3c9c7e8333be5ef6b81052</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientExpunge</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab0e25aaa3e5e47fc8de32530a3bb1d76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientRename</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a1b922e6ad55a380e5900adc2a03c36e3</anchor>
      <arglist>(const TQString &amp;src, const TQString &amp;dest)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSearch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aa69941f662ade0f23fda14b901893ca0</anchor>
      <arglist>(const TQString &amp;search, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientStore</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ae50f5f6c9cd936799439479fef83b087</anchor>
      <arglist>(const TQString &amp;set, const TQString &amp;item, const TQString &amp;data, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientLogout</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>acb38f845bc3614cff83529189094ad8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientStartTLS</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab4fd5ee8688bd847e52ac7f7bb103391</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSetACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a61fc38eafad876c74dd2023f976b1e4e</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;user, const TQString &amp;acl)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientDeleteACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7be6efe9125a72cf62414a5411a3ea94</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;user)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientGetACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a6bb47dffb7f5ec7d049f6a040d2a564d</anchor>
      <arglist>(const TQString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientListRights</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7410eb07636bec024e565971c8ef37b5</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;user)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientMyRights</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a355752e30a42e4af685df301a8364a7f</anchor>
      <arglist>(const TQString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSetAnnotation</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4cd407dc0c3c06d25a9423dab30643e4</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;entry, const TQMap&lt; TQString, TQString &gt; &amp;attributes)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientGetAnnotation</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>adfd6cc81b46906276e2b204fe2a64cab</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;entry, const TQStringList &amp;attributeNames)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientNamespace</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a82954d869b6bf83c10b68b76fd4d55d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientGetQuotaroot</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a2521941477b0f91e6e0846f3706383af</anchor>
      <arglist>(const TQString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientCustom</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>adc3e5245673ca4cb9edcdb8d0ca68a18</anchor>
      <arglist>(const TQString &amp;command, const TQString &amp;arguments)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mailHeader</name>
    <filename>classmailHeader.html</filename>
    <base>mimeHeader</base>
    <member kind="function">
      <type>void</type>
      <name>setSubject</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a8581af3a7bdde0727a683e361b01b791</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSubjectEncoded</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a9eb023f83766d28c9339a1829d2b1170</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>const TQString</type>
      <name>getSubject</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a5e80d2e167f31f1d2581aad1e24a5cf9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getSubjectEncoded</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>acb054e6b4a3cd49bfc9a6001a1e3a772</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a1ad8023550d4c0a9be9c9d151a4982de</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>date</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>ad08584225a10e2227f017b41acb5803f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mimeHdrLine</name>
    <filename>classmimeHdrLine.html</filename>
    <member kind="function">
      <type>int</type>
      <name>setStr</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>aa6cb8b853c33b2643f03e1ed5ca9991d</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getValue</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>af372f85f663dd8442310334649dd8202</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getLabel</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a93ddf92cac225e1ee6bea3a59c6f04d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseSeparator</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a4e070b3bd41a063ba76f3d8b05129e80</anchor>
      <arglist>(char, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseQuoted</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>ae8bd389532c2742561e5be3faeb9536e</anchor>
      <arglist>(char, char, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>skipWS</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a7a962b9da069178f2791afde03ec0038</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseHalfWord</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a2378a7da73b8970bdedbd65f5ab3f087</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseWord</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a311baed3a122e1a9950075fdead279e4</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseAlphaNum</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>ad3bbe44919b226fa43b9c72804ddd40b</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parseFullLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>adde72a637fbc4ece53d9d045a8f0385e</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parseHalfLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>aa9d5767be33eff67867ddee8f6e1157b</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQCString</type>
      <name>mimeValue</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a3c16aa1ed36bee4aef6ba31b8c6dd239</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQCString</type>
      <name>mimeLabel</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a4e97394677ab8fcd323b74784e116933</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mimeHeader</name>
    <filename>classmimeHeader.html</filename>
  </compound>
  <compound kind="class">
    <name>mimeIO</name>
    <filename>classmimeIO.html</filename>
  </compound>
  <compound kind="class">
    <name>parseString</name>
    <filename>classparseString.html</filename>
  </compound>
  <compound kind="class">
    <name>rfcDecoder</name>
    <filename>classrfcDecoder.html</filename>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>fromIMAP</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>ad1e85f3c284bb958fd26671a4233ecc9</anchor>
      <arglist>(const TQString &amp;src)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>toIMAP</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a7df31639bb0842ce66e8f259c9ec13ef</anchor>
      <arglist>(const TQString &amp;inSrc)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>quoteIMAP</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>ab3d08ea393950233b6445a399927b341</anchor>
      <arglist>(const TQString &amp;src)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>decodeQuoting</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a593ef00cc1e67c6154497b6ccd63cb2d</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQTextCodec *</type>
      <name>codecForName</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>aa2c2af83fe58eeb5148f231ec34090ea</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a141c13057ec5f7d2b7b157645cb01a50</anchor>
      <arglist>(const TQString &amp;_str, TQString &amp;charset, TQString &amp;language)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>adff0e33d000b68db917d8684baac2b89</anchor>
      <arglist>(const TQString &amp;_str, TQString &amp;charset)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>ae34196ffe704790f5c406f3e05f2f80b</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>encodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>aee4d3fb2bf8d36d9bdaaf34bc5cd2b55</anchor>
      <arglist>(const TQString &amp;_str, TQString &amp;charset, TQString &amp;language)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>encodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a9d81739ae06590962af3e8808067051f</anchor>
      <arglist>(const TQString &amp;_str, TQString &amp;charset)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>encodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>aab2cd75374d42e81e570790b211b286c</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>encodeRFC2231String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a2d32390eb56c31f41e934fbe15825602</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>decodeRFC2231String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>ab7b06a4f3dd1edc31711fe79c5870b3a</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
  </compound>
</tagfile>
